angular.module do
    * \app
    * * \ui.router
      * \ngMaterial
      * \ablsdk
      * \config
      * \currency-component
      ...

angular
  .module \app
  .run ($abl-currency-component-provider)->
    $abl-currency-component-provider.default-currency = \usd
    $abl-currency-component-provider.unique-currency = false
  .config ($location-provider, $md-theming-provider)->
    #colors = [["Blue", "blue", '#2196F3'], ["Teal", "teal", '#009688'], ["Green", "green", '#4CAF50'], ["Grey", "grey", '#9E9E9E'], ["Blue grey", "blue_grey", '#607D8B'], ["Yellow", "yellow", '#FFEB3B'], ["Indigo", "indigo", '#3F51B5'], ["Red", "red", '#F44336'], ["Black", "black", '#000000']]
    colors = [['Blue', 'blue', '#1E88E5', { primary: '#1E88E5', secondary: '#42A5F5', textcolor: '#ffffff' }],
    ['Teal', 'teal', '#00796B', { primary: '#00796B', secondary: '#00BFA5', textcolor: '#ffffff' }],
    ['Green', 'green', '#388E3C', { primary: '#388E3C', secondary: '#4CAF50', textcolor: '#ffffff' }],
    ['Grey', 'grey', '#616161', { primary: '#616161', secondary: '#757575', textcolor: '#ffffff' }],
    ['Blue grey', 'blue-grey', '#546E7A', { primary: '#546E7A', secondary: '#90A4AE', textcolor: '#ffffff' }],
    ['Yellow', 'yellow', '#FFD600', { primary: '#FFD600', secondary: '#FFEA00', textcolor: '#000000' }],
    ['Indigo', 'indigo', '#3F51B5', { primary: '#3F51B5', secondary: '#3F51B5', textcolor: '#ffffff' }],
    ['Red', 'red', '#F44336', { primary: '#F44336', secondary: '#F44336', textcolor: '#ffffff' }],
    ['Black', 'black', '#000000', { primary: '#000000', secondary: '#333333', textcolor: '#ffffff' }],
    ['Pink', 'pink', '#E91E63', { primary: '#E91E63', secondary: '#E91E63', textcolor: '#ffffff' }],
    ['White', 'white', '#eeeeee', { primary: '#eeeeee', secondary: '#eeeeee', textcolor: '#333333' }],
    ['Dark Blue', 'dark-blue', '#1565C0', { primary: '#1565C0', secondary: '#1E88E5', textcolor: '#ffffff' }],
    ['Purple', 'purple', '#6A1B9A', { primary: '#6A1B9A', secondary: '#9C27B0', textcolor: '#ffffff' }],
    ['Orange', 'orange', '#FF6D00', { primary: '#FF6D00', secondary: '#FF9100', textcolor: '#ffffff' }]]
    angular.for-each colors, (v, k) !->
      $mdThemingProvider.theme(v[1])
    $mdThemingProvider.always-watch-theme true
    
